com.holonplatform.vaadin.flow.components.builders

## Interface HasIconConfigurator<C extends HasIconConfigurator<C>>

- Type Parameters:
    `C` - Concrete configurator type
  All Known Subinterfaces:
    ButtonBuilder, ButtonConfigurator<C>, ButtonConfigurator.BaseButtonConfigurator

      public interface HasIconConfigurator<C extends HasIconConfigurator<C>>

  Configurator for components which supports an icon.
  Since:
    5.2.0

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static interface` | `HasIconConfigurator.IconConfigurator<C extends HasIconConfigurator<C>>` Configurator to setup a component icon.

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `C` | `icon(com.vaadin.flow.component.Component icon)` Set the component icon.
    `default C` | `icon(String collection, String icon)` Set the component icon using a `IronIcon`.
    `default C` | `icon(com.vaadin.flow.component.icon.VaadinIcon icon)` Set the component icon using a `VaadinIcon`.
    `HasIconConfigurator.IconConfigurator<C>` | `iconConfigurator(com.vaadin.flow.component.icon.Icon icon)` Obtain an `HasIconConfigurator.IconConfigurator` for given icon to configure it and add it to che component using `HasIconConfigurator.IconConfigurator.add()`.
    `HasIconConfigurator.IconConfigurator<C>` | `iconConfigurator(com.vaadin.flow.component.icon.IronIcon icon)` Obtain an `HasIconConfigurator.IconConfigurator` for given icon to configure it and add it to che component using `HasIconConfigurator.IconConfigurator.add()`.
    `default HasIconConfigurator.IconConfigurator<C>` | `iconConfigurator(String collection, String icon)` Obtain an `HasIconConfigurator.IconConfigurator` for given `IronIcon` representation to configure the icon and add it to che component using `HasIconConfigurator.IconConfigurator.add()`.
    `default HasIconConfigurator.IconConfigurator<C>` | `iconConfigurator(com.vaadin.flow.component.icon.VaadinIcon icon)` Obtain an `HasIconConfigurator.IconConfigurator` for given `VaadinIcon` representation to configure the icon and add it to che component using `HasIconConfigurator.IconConfigurator.add()`.

- - ### Method Detail

    - #### icon

          C icon(com.vaadin.flow.component.Component icon)

      Set the component icon. If `null`, the icon is removed.
      Parameters:
        `icon` - The icon `Component` to set (may be null)
      Returns:
        this

    - #### icon

          default C icon(com.vaadin.flow.component.icon.VaadinIcon icon)

      Set the component icon using a `VaadinIcon`. If `null`, the icon is removed.
      Parameters:
        `icon` - The icon to set (may be null)
      Returns:
        this

    - #### icon

          default C icon(String collection,
                         String icon)

      Set the component icon using a `IronIcon`. If `icon` name is `null`, the icon is removed.
      Parameters:
        `collection` - the icon collection
        `icon` - the icon name
      Returns:
        this

    - #### iconConfigurator

          HasIconConfigurator.IconConfigurator<C> iconConfigurator(com.vaadin.flow.component.icon.Icon icon)

      Obtain an `HasIconConfigurator.IconConfigurator` for given icon to configure it and add it to che component using `HasIconConfigurator.IconConfigurator.add()`.
      Parameters:
        `icon` - The icon to configure and add to the component (not null)
      Returns:
        The icon configurator

    - #### iconConfigurator

          default HasIconConfigurator.IconConfigurator<C> iconConfigurator(com.vaadin.flow.component.icon.VaadinIcon icon)

      Obtain an `HasIconConfigurator.IconConfigurator` for given `VaadinIcon` representation to configure the icon and add it to che component using `HasIconConfigurator.IconConfigurator.add()`.
      Parameters:
        `icon` - The icon to configure and add to the component (not null)
      Returns:
        The icon configurator

    - #### iconConfigurator

          HasIconConfigurator.IconConfigurator<C> iconConfigurator(com.vaadin.flow.component.icon.IronIcon icon)

      Obtain an `HasIconConfigurator.IconConfigurator` for given icon to configure it and add it to che component using `HasIconConfigurator.IconConfigurator.add()`.
      Parameters:
        `icon` - The icon to configure and add to the component (not null)
      Returns:
        The icon configurator

    - #### iconConfigurator

          default HasIconConfigurator.IconConfigurator<C> iconConfigurator(String collection,
                                                                           String icon)

      Obtain an `HasIconConfigurator.IconConfigurator` for given `IronIcon` representation to configure the icon and add it to che component using `HasIconConfigurator.IconConfigurator.add()`.
      Parameters:
        `collection` - the icon collection
        `icon` - the icon name (not null)
      Returns:
        The icon configurator

Copyright © 2020 The Holon Platform. All rights reserved.